Page MenuHomePhabricator

Make sure automatically run scripts are executed with vyattacfg GID
Closed, ResolvedPublicBUG

Description

The current config write API requires that any process that changes it is run with vyattacfg GID, else permissions get messed up and other users cannot commit until the active config dir is chown'ed back.

This is especially problematic with automatically run scripts.

We have three places that run scripts:

  • VRRP
  • WAN load balancing
  • Cron

Details

Difficulty level
Normal (likely a few hours)
Version
1.2.0
Why the issue appeared?
Will be filled on close
syncer assigned this task to dmbaturin.Nov 26 2017, 6:23 PM
syncer updated the task description. (Show Details)
syncer triaged this task as Normal priority.Dec 21 2017, 9:16 PM
dmbaturin changed the task status from Open to In progress.May 24 2018, 5:41 PM
dmbaturin moved this task from Need Triage to In Progress on the VyOS 1.2.x board.
dmbaturin closed this task as Resolved.Sep 2 2018, 9:39 PM
dmbaturin updated the task description. (Show Details)
dmbaturin edited projects, added VyOS 1.2.x (VyOS 1.2.0-rc1); removed VyOS 1.2.x.